unit main;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls,
  FMX.TMSNativeMFMessageComposeViewController, FMX.TMSFNCCustomComponent,
  FMX.TMSFNCTaskDialog, FMX.Edit;

type
  TForm1 = class(TForm)
    btnSMSTaskDialog: TButton;
    TaskDialog: TTMSFNCTaskDialog;
    edtPhoneNo: TEdit;
    btnPopup: TButton;
    procedure btnSMSTaskDialogClick(Sender: TObject);
    procedure btnPopupClick(Sender: TObject);
  private
    procedure SendSMS(PhoneNumber, SMSMessage: String);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  IOSSMS: TTMSFMXNativeMFMessageComposeViewController;

implementation

{$R *.fmx}

procedure TForm1.SendSMS (PhoneNumber,SMSMessage: String);
var
  s: String;
begin
  if not Assigned(IOSSMS) then
  IOSSMS := TTMSFMXNativeMFMessageComposeViewController.Create(Form1);

  IOSSMS.Recipients.Add(PhoneNumber);
  IOSSMS.Body := SMSMessage;
  if IOSSMS.CanSendText then
  begin
    IOSSMS.Show;
    s := 'test';
  end
  else
    ShowMessage('SMS not supported');
end;

procedure TForm1.btnPopupClick(Sender: TObject);
begin
  SendSMS(edtPhoneNo.Text,'Test message');
end;

procedure TForm1.btnSMSTaskDialogClick(Sender: TObject);
var
  mr: TModalResult;
begin
  TaskDialog.CustomButtons.Clear;
    TaskDialog.Title := 'Call or SMS';
    TaskDialog.Icon := tdiInformation;
    TaskDialog.Instruction := 'Would you like to Call or SMS';
    TaskDialog.CustomButtons.Add('Call');
    TaskDialog.CustomButtons.Add('SMS');
    TaskDialog.Execute(
  procedure(ModalResult: TModalResult)
   begin
   case ModalResult of
    100:
    begin
      //make a call
    end;
    101:
    begin
      SendSMS(edtPhoneNo.Text,'Test message');
    end;
   else
   ShowMessage('Value returned: ' + IntToStr(ModalResult));
   end;
   end
    );
end;

end.
